Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008423TestLinkRequirement to Test Case Assignmentpublic2018-10-22 14:402018-10-31 15:02
Reportergsac 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSLinuxOS VersionUbuntu 18.04
Product Version1.9.18 (2018 Q3) 
Fixed in Version1.9.19 (2019 Q1) 
Summary0008423: Cannot assign requirement to test case
DescriptionI record a requirement, a test case but cannot link both together.
The problem is that the checkbox property is set to "disabled" (see screenshot).
Steps To Reproduce1. Create a requirement
2. Create a test suite
3. Create a test case
4. Fill in the test case
5. Try to link the test case and the requirement
Additional InformationI tried by directly selecting the requirement from the "Test Specification" window.
I also tried using the "Assign requirement".
None of them work, both checkboxes are disabled.

I edited the HTML DOM with the developer tools to remove the "disabled" attribute. I could select the requirement and "assign" it using the "Test Specification" popup window. However, the assigned requirement wasn't displayed on the popup window. When I closed the popup window to get back to the main "Test Specification" window, I could see the assigned requirement.

I tried playing around with the requirement status but that didn't seem to have any impact.
TagsNo tags attached.
Database (MySQL,Postgres,etc)Postgres
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon TestLink - Issue2.png [^] (122,556 bytes) 2018-10-22 14:40

- Relationships
has duplicate 0008439resolvedfman check boxes disabled 
has duplicate 0008441closedfman Test specification - Link to requirement doesn't work 
child of 0008397assignedfman Availables hot-fixes for 1.9.18 & How To get full fixed package from GitHub 

-  Notes
(0028065)
fman (administrator)
2018-10-22 17:31

user role used on the test to verify this issue is needed.
(0028067)
fman (administrator)
2018-10-22 17:43

confirmed using latest code using standard admin user with admin role
(0028068)
fman (administrator)
2018-10-22 17:48

issue found bad var name
(0028069)
fman (administrator)
2018-10-22 18:02

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/1778075ec7b2b0a9cb2ee20ec4b59b11afe43032 [^]

- Issue History
Date Modified Username Field Change
2018-10-22 14:40 gsac New Issue
2018-10-22 14:40 gsac File Added: TestLink - Issue2.png
2018-10-22 17:31 fman Note Added: 0028065
2018-10-22 17:31 fman Assigned To => fman
2018-10-22 17:31 fman Status new => feedback
2018-10-22 17:43 fman Note Added: 0028067
2018-10-22 17:48 fman Note Added: 0028068
2018-10-22 18:02 fman Note Added: 0028069
2018-10-22 18:02 fman QA Team - Task Workflow Status => READY FOR TESTING
2018-10-22 18:02 fman Status feedback => resolved
2018-10-22 18:02 fman Fixed in Version => 1.9.19 (2019 Q1)
2018-10-22 18:02 fman Resolution open => fixed
2018-10-22 18:02 fman Relationship added child of 0008397
2018-10-25 19:29 fman Relationship added has duplicate 0008430
2018-10-29 11:05 fman Relationship added has duplicate 0008439
2018-10-31 15:02 fman Relationship added has duplicate 0008441



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker